summaryrefslogtreecommitdiffstats
path: root/main/udev/udev-postmount.initd
diff options
context:
space:
mode:
Diffstat (limited to 'main/udev/udev-postmount.initd')
-rw-r--r--main/udev/udev-postmount.initd37
1 files changed, 37 insertions, 0 deletions
diff --git a/main/udev/udev-postmount.initd b/main/udev/udev-postmount.initd
new file mode 100644
index 000000000..33a412ff8
--- /dev/null
+++ b/main/udev/udev-postmount.initd
@@ -0,0 +1,37 @@
+#!/sbin/runscript
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/sys-fs/udev/files/161/udev-postmount.initd,v 1.1 2010/08/24 18:41:29 zzam Exp $
+
+depend() {
+ need localmount
+ after dbus # for trigger failed
+}
+
+dir_writeable()
+{
+ printf "" 2>/dev/null >"$1"/.test.$$ && rm "$1"/.test.$$
+}
+
+start() {
+ # check if this system uses udev
+ [ -d /dev/.udev/ ] || return 0
+
+ einfo "Doing udev cleanups"
+
+ # Run the events that failed at first udev trigger
+ udevadm trigger --type=failed -v
+
+ # only continue if rules-directory is writable
+ dir_writeable /etc/udev/rules.d || return 0
+
+ # store persistent-rules that got created while booting
+ # when / was still read-only
+ /lib/udev/move_tmp_persistent_rules.sh
+}
+
+stop() {
+ :
+}
+
+# vim:ts=4